<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.nativeplatform (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../org/gradle/nativeplatform/package-summary.html" target="classFrame">org.gradle.nativeplatform</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="BuildType.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>BuildType</i></a></li>
<li><a href="BuildTypeContainer.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>BuildTypeContainer</i></a></li>
<li><a href="Flavor.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>Flavor</i></a></li>
<li><a href="FlavorContainer.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>FlavorContainer</i></a></li>
<li><a href="NativeBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeBinary</i></a></li>
<li><a href="NativeBinarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeBinarySpec</i></a></li>
<li><a href="NativeComponentExtension.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeComponentExtension</i></a></li>
<li><a href="NativeComponentSpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeComponentSpec</i></a></li>
<li><a href="NativeDependencySet.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeDependencySet</i></a></li>
<li><a href="NativeExecutable.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeExecutable</i></a></li>
<li><a href="NativeExecutableBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeExecutableBinary</i></a></li>
<li><a href="NativeExecutableBinarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeExecutableBinarySpec</i></a></li>
<li><a href="NativeExecutableBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeExecutableBinarySpec.TasksCollection</i></a></li>
<li><a href="NativeExecutableSpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeExecutableSpec</i></a></li>
<li><a href="NativeLibrary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeLibrary</i></a></li>
<li><a href="NativeLibraryBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeLibraryBinary</i></a></li>
<li><a href="NativeLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeLibraryBinarySpec</i></a></li>
<li><a href="NativeLibraryRequirement.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeLibraryRequirement</i></a></li>
<li><a href="NativeLibrarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>NativeLibrarySpec</i></a></li>
<li><a href="PrebuiltLibraries.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>PrebuiltLibraries</i></a></li>
<li><a href="PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>PrebuiltLibrary</i></a></li>
<li><a href="PrebuiltSharedLibraryBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>PrebuiltSharedLibraryBinary</i></a></li>
<li><a href="PrebuiltStaticLibraryBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>PrebuiltStaticLibraryBinary</i></a></li>
<li><a href="PreprocessingTool.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>PreprocessingTool</i></a></li>
<li><a href="Repositories.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>Repositories</i></a></li>
<li><a href="SharedLibraryBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>SharedLibraryBinary</i></a></li>
<li><a href="SharedLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>SharedLibraryBinarySpec</i></a></li>
<li><a href="SharedLibraryBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>SharedLibraryBinarySpec.TasksCollection</i></a></li>
<li><a href="StaticLibraryBinary.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>StaticLibraryBinary</i></a></li>
<li><a href="StaticLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>StaticLibraryBinarySpec</i></a></li>
<li><a href="StaticLibraryBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>StaticLibraryBinarySpec.TasksCollection</i></a></li>
<li><a href="TargetedNativeComponent.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>TargetedNativeComponent</i></a></li>
<li><a href="Tool.html" title="interface in org.gradle.nativeplatform" target="classFrame"><i>Tool</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="NativeExecutableFileSpec.html" title="class in org.gradle.nativeplatform" target="classFrame">NativeExecutableFileSpec</a></li>
<li><a href="NativeInstallationSpec.html" title="class in org.gradle.nativeplatform" target="classFrame">NativeInstallationSpec</a></li>
<li><a href="ObjectFile.html" title="class in org.gradle.nativeplatform" target="classFrame">ObjectFile</a></li>
</ul>
</div>
</body>
</html>
